Subject: [Fot] clutch disc

From: Bobby Whitehead <[email-masked]>
Date: Mon, 8 Jul 2013 14:34:15 -0700 (PDT)

okay .. I admit it.. I was late night shopping on eBay with a beer and bought
a new old stock clutch disc for my GT6.. it arrived today in the original
shelf worn box and it looked more like it should go in a museum versus a car
I'm trying to make do what it never did do....  run and not blow up...
shouldn't I just call Ted or Moss and order a new one, even the whole kit?
Bobby Whitehead
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive